aboutsummaryrefslogtreecommitdiffstats
path: root/main/nodejs-lts
diff options
context:
space:
mode:
authorJose-Luis Rivas <ghostbar@riseup.net>2016-04-14 14:12:27 -0400
committerNatanael Copa <ncopa@alpinelinux.org>2016-04-18 09:33:05 +0000
commitd2b0a8e98f3259dd69327774c423106d4a28d61b (patch)
treefad452358083bde22519cf08980eb30e813bd695 /main/nodejs-lts
parentc3ff21debfc73539254b63d5325a347f487a5ab2 (diff)
downloadaports-d2b0a8e98f3259dd69327774c423106d4a28d61b.tar.gz
aports-d2b0a8e98f3259dd69327774c423106d4a28d61b.tar.bz2
aports-d2b0a8e98f3259dd69327774c423106d4a28d61b.tar.xz
main/nodejs-lts: moved older nodejs to nodejs-lts
add a replace against nodejs so they do not conflict
Diffstat (limited to 'main/nodejs-lts')
-rw-r--r--main/nodejs-lts/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/main/nodejs-lts/APKBUILD b/main/nodejs-lts/APKBUILD
new file mode 100644
index 0000000000..dfa5ef33f4
--- /dev/null
+++ b/main/nodejs-lts/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Contributor: Jose-Luis Rivas <ghostbar@riseup.net>
+# Maintainer: Eivind Uggedal <eivind@uggedal.com>
+pkgname=nodejs-lts
+pkgver=4.4.3
+pkgrel=0
+pkgdesc='Evented I/O for V8 javascript'
+url='http://nodejs.org/'
+arch='all'
+license='MIT'
+# gold is needed for mksnapshot
+makedepends="$depends_dev python openssl-dev zlib-dev libuv-dev
+ linux-headers paxmark binutils-gold"
+subpackages="$pkgname-dev $pkgname-doc"
+replaces="nodejs"
+source="https://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
+_builddir="$srcdir"/node-v$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --shared-zlib \
+ --shared-libuv \
+ --shared-openssl \
+ || return 1
+ # we need run mksnapshot at build time so paxmark it early
+ make -C out mksnapshot BUILDTYPE=Release \
+ && paxmark -m out/Release/mksnapshot \
+ && make || return 1
+}
+
+package() {
+ local d
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ # paxmark so JIT works
+ paxmark -m "$pkgdir"/usr/bin/node || return 1
+
+ cp -pr "$pkgdir"/usr/lib/node_modules/npm/man "$pkgdir"/usr/share || return 1
+ for d in doc html man; do
+ rm -r "$pkgdir"/usr/lib/node_modules/npm/$d || return 1
+ done
+}
+md5sums="0f7feafa6a98af58fcd934c043ced0d5 node-v4.4.3.tar.gz"
+sha256sums="8e67b95721aab7bd721179da2fe5dd97f9acc1306c15c9712ee103bcd6381638 node-v4.4.3.tar.gz"
+sha512sums="dd4148b3db95ee9de422bbf3bd3f9c7d8c15868af063016a131fec36dd2023f5bb30fc40b46bc3431ade9a118679d4defa788372a431fade334d3a1599f26610 node-v4.4.3.tar.gz"